Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ascape.model.space
Interface Location

All Known Subinterfaces:
  Node, NodeOccupant

All Known Implementing Classes:
  BasicCell, BasicModel, BasicMovementAgent, BasicMovementModel, BasicMovementStateAgent, Block, Bug, Bug, Bug, Bug, Cell, CellOccupant, City, City3D, ComplexLocation, ComplexMovementAgent, DefaultLocation, DefaultNode, DemographicPrisonersDilemma, DemographicPrisonersDilemma3D, Epidemic, Epidemic, Epidemic, Epidemic3D, Epidemic3D, Epidemic3D, Epidemic3DTiles, EpidemicPeriods, Firm, Flea, GAS_Base, Habitat, Habitat, Habitat, Habitat, HeatBug, Heatbugs, Heatbugs3D, Heatbugs3DCustom, HeatCell, HostCell, Individual, Individual, Individual, Individual, Individual, Instrument, LocatedAgent, Markets, Markets3D, MethodsAgent, MomentumAgent, OperationsAgent, Place, Place, PlayCell, Player, Rat, Region, Region3D, RegionalLocation, Scape, SpatialModel, StateAgent, StupidModel1, StupidModel13D, StupidModel2, StupidModel23D, StupidModel3, StupidModel33D, StupidModel5, StupidModel53D, SugarAgent, SugarCell, Trader, WikiExample, WikiExample3D

    public interface Location

The Interface Location.

Method Summary
`void` | `clearDeleteMarker()` Clear delete marker.
`java.lang.Object` | `clone()` Clone.
`Coordinate` | `getCoordinate()` Gets the coordinate.
`void` | `initialize()` Initialize.
`boolean` | `isDelete()` Checks if is delete.
`void` | `markForDeletion()` Mark for deletion.
`void` | `setCoordinate(Coordinate coordinate)` Sets the coordinate.

Method Detail

### initialize

    void initialize()

  Initialize.

### getCoordinate

    Coordinate getCoordinate()

  Gets the coordinate.

  Returns:
    the coordinate

### setCoordinate

    void setCoordinate(Coordinate coordinate)

  Sets the coordinate.

  Parameters:
    `coordinate` - the new coordinate

### isDelete

    boolean isDelete()

  Checks if is delete.

  Returns:
    true, if is delete

### markForDeletion

    void markForDeletion()

  Mark for deletion.

### clearDeleteMarker

    void clearDeleteMarker()

  Clear delete marker.

### clone

    java.lang.Object clone()

  Clone.

  Returns:
    the object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD